/*
* Licensed Materials - Property of IBM Corp.
* IBM UrbanCode Build
* IBM UrbanCode Deploy
* IBM UrbanCode Release
* IBM AnthillPro
* (c) Copyright IBM Corporation 2002, 2013. All Rights Reserved.
*
* U.S. Government Users Restricted Rights - Use, duplication or disclosure restricted by
* GSA ADP Schedule Contract with IBM Corp.
*/
import java.io.*;
import java.util.*;
import com.urbancode.air.plugin.websphere.WebSphereBatchScriptHelper


final def isWindows = (System.getProperty('os.name') =~ /(?i)windows/).find()
out = System.out;
def wsadmin = isWindows ? "wsadmin.bat" : "wsadmin.sh"

final def workDir = new File('.').canonicalFile
final def props = new Properties();
final def inputPropsFile = new File(args[0]);
final def inputPropsStream = null;
try {
    inputPropsStream = new FileInputStream(inputPropsFile);
    props.load(inputPropsStream);
}
catch (IOException e) {
    throw new RuntimeException(e);
}

def appName = props['appName'];
def contentType = props['contentType'];
def operation = props['operation'];
def contents = props['contents'];
def contentsuri = props['contentsuri'];
def argString = props['argString'];
def appEdition = props['appEdition']


StringBuilder builder = new StringBuilder();
builder.append("updateApplication(")
           .append("\"").append(appName).append("\"").append(",")
           .append("\"").append(appEdition?:"").append("\"").append(",")
           .append("\"").append(operation).append("\"").append(",")
           .append("\"").append(contentType).append("\"").append(",")
           .append("\"").append(contentsuri).append("\"").append(",")
           .append("\"").append(contents).append("\"").append(",")
           .append("\"\"").append(",")
           .append("\'").append(argString?:"").append("\'")
       .append(")")
command = builder.toString();

WebSphereBatchScriptHelper helper = new WebSphereBatchScriptHelper(props);
helper.execute(command);
